package com.ruoyi.orderPlan.mapper;

import com.ruoyi.orderPlan.domain.Ftmsorderbillsattachs;

import java.util.List;

/**
 * 附件Mapper接口
 *
 * @author ruoyi
 * @date 2021-02-22
 */
public interface FtmsorderbillsattachsMapper {
    /**
     * 查询附件
     *
     * @param id 附件ID
     * @return 附件
     */
    public Ftmsorderbillsattachs selectftmsorderbillsattachsById(Long id);

    /**
     * 查询附件列表
     *
     * @param ftmsorderbillsattachs 附件
     * @return 附件集合
     */
    public List<Ftmsorderbillsattachs> selectftmsorderbillsattachsList(Ftmsorderbillsattachs ftmsorderbillsattachs);

    /**
     * 新增附件
     *
     * @param ftmsorderbillsattachs 附件
     * @return 结果
     */
    public int insertftmsorderbillsattachs(Ftmsorderbillsattachs ftmsorderbillsattachs);

    /**
     * 修改附件
     *
     * @param ftmsorderbillsattachs 附件
     * @return 结果
     */
    public int updateftmsorderbillsattachs(Ftmsorderbillsattachs ftmsorderbillsattachs);

    /**
     * 删除附件
     *
     * @param id 附件ID
     * @return 结果
     */
    public int deleteftmsorderbillsattachsById(Long id);

    /**
     * 批量删除附件
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteftmsorderbillsattachsByIds(Long[] ids);

    /**
     * 根据主表id删除订单调度
     *
     * @param id 订单调度ID
     * @return 结果
     */
    public int deleteftmsorderbillsattachsByPId(long id);

    /**
     *  根据条件删除对应数据
     * @param ftmsorderbillsattachs 参数
     * @return  结果
     */
    public int deleteftmsorderbillsattachs(Ftmsorderbillsattachs ftmsorderbillsattachs);
}
